﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace KoloryUA
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class ListaPage : Page
    {
        public ListaPage()
        {
            this.InitializeComponent();
            MójListView.ItemsSource = typeof(Windows.UI.Colors).GetProperties();
        }

        private void MójListView_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var nazwa = (MójListView.SelectedItem as PropertyInfo).Name;
            Color kolor = (Color)typeof(Colors).GetProperty(nazwa).GetValue(null);
            Frame.Navigate(typeof(EdycjaPage), kolor);
        }
    }
}
