﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace KoloryUA
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class GlownaPage : Page
    {
        public GlownaPage()
        {
            this.InitializeComponent();
            //Edycja.IsSelected = true;
            CofnijButton.Visibility = Visibility.Collapsed;
            Tytuł.Text = "Edycja";
            Ramka.Navigate(typeof(EdycjaPage));
        }
        
        private void MójListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (Edycja.IsSelected)
            {
                Tytuł.Text = "Edycja";
                Ramka.Navigate(typeof(EdycjaPage));
                CofnijButton.Visibility = Visibility.Collapsed;
            }
            if (Lista.IsSelected)
            {
                Tytuł.Text = "Lista";
                Ramka.Navigate(typeof(ListaPage));
                CofnijButton.Visibility = Visibility.Visible;
            }
            if (Trzecia.IsSelected)
            {
                Tytuł.Text = "Trzecia strona";
                Ramka.Navigate(typeof(AboutPage));
                CofnijButton.Visibility = Visibility.Visible;
            }
        }

        private void CofnijButton_Click(object sender, RoutedEventArgs e)
        {
            if (Ramka.CanGoBack)
            {
                //Edycja.IsSelected = true;
                Ramka.GoBack();
            }
        }
    }
}
